Delete a webhook endpoint▾
Delete a webhook endpoint
Stop delivering events to an endpoint.
Deletion is immediate. Events already in the retry queue for this endpoint are dropped.
DELETE
/v1/webhooks/{id}Path parameters
idstringrequiredwhe_….
curl -X DELETE https://api.sendport.tech/v1/webhooks/{id} \
-H "Authorization: Bearer $SENDPORT_KEY"Responses
200OK
{
"object": "webhook_endpoint",
"id": "whe_01JZQ4A2C4E6G8J0L2N4Q6SUWY",
"deleted": true
}401Unauthorized
{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "No API key provided.",
"doc_url": "https://sendport.tech/docs/errors#missing_api_key",
"request_id": "req_9f3c2a7b41de08c5b2e6"
}
}Try itsandbox